<?xml version="1.0"?>
<page layout="1column" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <body>
        <referenceContainer name="product.info.main">
            <block class="Magento\Framework\View\Element\Template"
                   name="syte.product.skus"
                   as="skus"
                   template="Syte_Tracker::product/skus.phtml">
                <arguments>
                    <argument name="productSkusViewModel" xsi:type="object">
                        Syte\Tracker\ViewModel\ProductSkus
                    </argument>
                </arguments>
            </block>
        </referenceContainer>
        <referenceContainer name="before.body.end">
            <block class="Syte\Tracker\Block\DataJson"
                   name="product.view.detail"
                   template="Syte_Tracker::tracker/detailproduct.phtml"
                   ifconfig="syte_settings/scripts/ecomm_event_active">
            </block>
        </referenceContainer>
    </body>
</page>
